Bug 500506 - (389-adminutil) Review Request: 389-adminutil - renamed from adminutil
Review Request: 389-adminutil - renamed from adminutil
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 389-admin 389-dsgw
  Show dependency treegraph
 
Reported: 2009-05-12 18:49 EDT by Rich Megginson
Modified: 2014-11-10 15:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 17:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2009-05-12 18:49:05 EDT
Spec URL: http://rmeggins.fedorapeople.org/389-adminutil.spec
SRPM URL: http://rmeggins.fedorapeople.org/389-adminutil-1.1.8-2.src.rpm
Description: 389-adminutil is used to administer 389 Directory Server and Admin Server, and in the 389 Gateway.

Note: this is a package rename - the adminutil package is being renamed to 389-adminutil.  I have put in the appropriate Provides and Obsoletes:
Provides:         adminutil = %{version}-%{release}
Obsoletes:        adminutil < 1.1.8-2
and
Provides:  adminutil-devel = %{version}-%{release}
Obsoletes: adminutil-devel < 1.1.8-2

Source URL: http://rmeggins.fedorapeople.org/389-adminutil-1.1.8.tar.bz2

See also https://fedorahosted.org/fedora-infrastructure/ticket/1380#comment:2
Comment 1 Felix Kaechele 2009-05-14 01:20:28 EDT
rpmlint is pretty verbose on this:

[felix@polaris result]$ rpmlint *.rpm 389-adminutil
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadminutil.so.1.1.8 exit@GLIBC_2.2.5
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadmsslutil.so.1.1.8 exit@GLIBC_2.2.5
389-adminutil-devel.x86_64: W: no-documentation
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadminutil.so.1.1.8 exit@GLIBC_2.2.5
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /lib64/libssl3.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /lib64/libnss3.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /usr/lib64/libssldap60.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /usr/lib64/libprldap60.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /usr/lib64/libldif60.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /usr/lib64/libicui18n.so.40
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadminutil.so.1.1.8 /usr/lib64/libicudata.so.40
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadmsslutil.so.1.1.8 exit@GLIBC_2.2.5
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadmsslutil.so.1.1.8 /usr/lib64/libprldap60.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadmsslutil.so.1.1.8 /usr/lib64/libldif60.so
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadmsslutil.so.1.1.8 /usr/lib64/libicui18n.so.40
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadmsslutil.so.1.1.8 /usr/lib64/libicuuc.so.40
389-adminutil.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libadmsslutil.so.1.1.8 /usr/lib64/libicudata.so.40
5 packages and 0 specfiles checked; 0 errors, 17 warnings.
Comment 2 Rich Megginson 2009-05-18 15:57:21 EDT
Updated

Source URL: http://port389.org/sources/389-adminutil-1.1.8.tar.bz2

md5sum 389-adminutil-1.1.8.tar.bz2 
e84240547e2f7b97d0576bcb85c06a57  389-adminutil-1.1.8.tar.bz2
sha1sum 389-adminutil-1.1.8.tar.bz2 
17581245a0d95b3f7cda90c3ed83b7984afe9b2c  389-adminutil-1.1.8.tar.bz2

I would like to waive or otherwise accept the rpmlint results.

This is the output I get from rpmlint - same results with both rpmlint 0.85 and 0.87 on Fedora 10

389-adminutil.i386: W: shared-lib-calls-exit /usr/lib/libadmsslutil.so.1.1.8 exit@GLIBC_2.0
389-adminutil.i386: W: shared-lib-calls-exit /usr/lib/libadminutil.so.1.1.8 exit@GLIBC_2.0

This is ok - these are functions specifically for handling fatal errors on behalf of the calling application.

389-adminutil-devel.i386: W: no-documentation

The devel package has no documentation - it's all in the base package

rpmlint -v /var/lib/mock/fedora-10-i386/result/389-adminutil-1.1.8-2.fc10.src.rpm 
389-adminutil.src: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I'm not sure where the other errors are coming from.  I do know that libadminutil does not strictly need to link directly against ssl, nss, ssldap60, or ldif60 - but all applications that want to support SSL (which is all of them) will need to also link with libadmsslutil which does require the SSL libs.  ldif60 is not strictly needed but it doesn't hurt to link with it.

The ICU dependencies are required to link with ICU even though rpmlint says they are not needed.
Comment 3 Rich Megginson 2009-06-04 10:23:18 EDT
Any takers?  What can I do to help this along?
Comment 4 Rich Megginson 2009-06-17 12:19:23 EDT
ping
Comment 5 Rich Megginson 2009-06-23 10:18:19 EDT
This package is used by 389-admin and 389-dsgw - even though those packages are approved, this one is not, and so will definitely complicate matters.  What can I do to speed up the review for this package?  I will not be able to release the 389 suite without this package.
Comment 6 Rich Megginson 2009-07-10 11:19:35 EDT
ping
Comment 7 Jason Tibbitts 2009-07-11 03:35:23 EDT
Who are you pinging?  Nobody is assigned to review this ticket.
Comment 9 Dennis Gilmore 2009-07-17 16:11:33 EDT
rpmlint is quiet
sha256sums of upstream tarball and whats in the srpm match
e442f7d538258d7b3cbd88d1fcfa0ad28e0716a8d8428efaa7b9af58c99d6529  389-ds-console-1.2.0.tar.bz2
e442f7d538258d7b3cbd88d1fcfa0ad28e0716a8d8428efaa7b9af58c99d6529  /home/dennis//fedora/SOURCES/389-ds-console-1.2.0.tar.bz2

obsoletes/provides is sane and replaces the old version


Approved.
Comment 10 Rich Megginson 2009-07-17 16:19:24 EDT
New Package CVS Request
=======================
Package Name: 389-adminutil
Short Description: Utility library for 389 administration
Owners: rmeggins nkinder nhosoi
Branches: F-10 F-11
Comment 11 Dennis Gilmore 2009-07-17 16:39:14 EDT
rpmlint is not  quiet but i think its ok.  it would be good to get the exit
calls removed from the shared libraries

389-adminutil-devel.x86_64: W: no-documentation
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadminutil.so.1.1.8
exit@GLIBC_2.2.5
389-adminutil.x86_64: W: shared-lib-calls-exit
/usr/lib64/libadmsslutil.so.1.1.8 exit@GLIBC_2.2.5
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

sha256sum matches upstream 
f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872 
389-adminutil-1.1.8.tar.bz2
f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872 
/home/dennis//fedora/SOURCES/389-adminutil-1.1.8.tar.bz2

obsoletes/provides is sane and makes sure that the old version are removed.

builds fine in mock

approved  

sorry pasted the 389-ds-console review in here
Comment 12 Dennis Gilmore 2009-07-17 16:40:43 EDT
CVS Done
Comment 13 Rich Megginson 2009-07-17 17:15:48 EDT
cvs import done - built in koji - all branches imported
Comment 14 Michael Stahnke 2009-11-02 23:16:52 EST
New Package CVS Request
=======================
Package Name: 389-adminutil
Short Description: Utility library for 389 administration
Owners: stahnma
Branches: EL4, EL5
Comment 15 Kevin Fenzi 2009-11-02 23:39:34 EST
cvs done.
Comment 16 Rich Megginson 2014-11-10 13:57:57 EST
Package Change Request
======================
Package Name: 389-adminutil
New Branches: epel7
Owners: mreynolds nhosoi nkinder rmeggins
Comment 17 Gwyn Ciesla 2014-11-10 15:14:43 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.